package com.gic.haoban.manage.service.pojo.bo.hm;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanHmLink
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年07月01日 14:07:23
 * @Modify
 * @CopyRight 
 */
public class HmLinkBO implements Serializable {

    private static final long serialVersionUID = 1967119533845800L;

    private Long linkId;
    private String shortCode ;
    private String linkCode;
    /**1通用链接 2专用链接*/
    private Integer linkType;
    private String wxEnterpriseId;
    private String enterpriseId;
    private String name;
    private String remark;
    private String welcomeId;
    private Long pageId;
    private String creatorId;
    private String creatorName;
    private String modifierId;
    private String modifierName;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    /**会员门店规则*/
    private String storeRuleJson;
    /**推荐门店规则*/
    private String customRuleJson;
    /**会员活动标签*/
    private String memberLabelId;
    /**0删除 1正常*/
    private Integer statusFlag;
    private Long otherChatHmId ;

    public Long getOtherChatHmId() {
        return otherChatHmId;
    }

    public void setOtherChatHmId(Long otherChatHmId) {
        this.otherChatHmId = otherChatHmId;
    }

    public String getShortCode() {
        return shortCode;
    }

    public void setShortCode(String shortCode) {
        this.shortCode = shortCode;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkCode(String linkCode) {
        this.linkCode = linkCode;
    }

    public String getLinkCode() {
        return linkCode;
    }

    public void setLinkType(Integer linkType) {
        this.linkType = linkType;
    }

    public Integer getLinkType() {
        return linkType;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setPageId(Long pageId) {
        this.pageId = pageId;
    }

    public Long getPageId() {
        return pageId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public String getModifierId() {
        return modifierId;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    public void setStoreRuleJson(String storeRuleJson) {
        this.storeRuleJson = storeRuleJson;
    }

    public String getStoreRuleJson() {
        return storeRuleJson;
    }

    public void setCustomRuleJson(String customRuleJson) {
        this.customRuleJson = customRuleJson;
    }

    public String getCustomRuleJson() {
        return customRuleJson;
    }

    public void setMemberLabelId(String memberLabelId) {
        this.memberLabelId = memberLabelId;
    }

    public String getMemberLabelId() {
        return memberLabelId;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }
}